Back to PHP page
PHP free download for Mac

PHP Reviews

7.4.2
23 January 2020

Server-side, cross-platform, HTML embedded scripting language.

Parchment Press
03 December 2013

Most helpful

Why o why does MacUpdate track Unix software in the main Mac software channel? Just a suggestion, but i would prefer it if you had a separate tab/category for server software, daemons, CLI utilities and the like. That way, the 90% who don't use it won't have to contend with the added entries on the tracker. (I do personally use a lot of server-oriented software and CLI tools, so i would personally check that category for updates. But my preference would be to separate them out to another category listing.)
Like (2)
Version 5.5.6

Read 22 PHP User Reviews

Rate this app:

Parchment Press
03 December 2013
Why o why does MacUpdate track Unix software in the main Mac software channel? Just a suggestion, but i would prefer it if you had a separate tab/category for server software, daemons, CLI utilities and the like. That way, the 90% who don't use it won't have to contend with the added entries on the tracker. (I do personally use a lot of server-oriented software and CLI tools, so i would personally check that category for updates. But my preference would be to separate them out to another category listing.)
Like (2)
Version 5.5.6
Neil-M
01 June 2011
From the developers website; Note: The package on this page is outdated. I recommend this new PHP distribution for Mac OS X, it is based on mine: http://blog.liip.ch/archive/2011/04/13/php-5-3-for-os-x-10-6-one-line-installer.html http://php-osx.liip.ch/ - is the best source for a 10.6 version of php.
Like (1)
Version 5.3.0-3
schmelding
04 September 2009
Since Snow Leopard wiped-out my install of the entropy version of PHP, does anybody know what would happen if I reinstalled this?
Like
Version 5.3.0-3
2 answer(s)
Neil-M
Neil-M
02 October 2009
go to Marc's forum and ask - sure you will get a good thorough answer.
Like
Version 5.3.0-3
Tuscan69
Tuscan69
18 March 2010
i just installed this on 10.6.2, and now i cannot access any of my local pages anymore. "Network Error (tcp_error) - A communication error occurred: Connection refused"
Like
Version 5.3.0-3
Neil-M
31 July 2009
Now PHP 5.3.0-3 Thanks Marc for compiling this for OS X - it gets me an easy way to get an upto date php distro, with GD (not on Apple's vanilla inbuilt), etc. onto my server - without waiting, waiting for Apple to update.
Like
Version 5.3.0-3
Brian Kendig
19 December 2007
The current version at http://www.entropy.ch/software/macosx/php/ is 5.2.4. This is the same version as the PHP that ships with Leopard, so there's currently no reason to try installing this on Leopard.
Like
Version 5.2.2
Vgz
26 October 2007
Warning, if you require PHP DO NOT upgrade to Leopard. This PHP installation will not work on Leopard. Hopefully an update will be made available by the developer soon.
Like
Version 5.2.2
2 answer(s)
Tshawkins
Tshawkins
22 November 2007
You don't need this for leopard, it already has php 5.2.2 installed by default, you just need to activate it by copying the php.conf file into the right place. Tiger also has php 4.3 installed by default, again it just needs activating to run.
Like
Version 5.2.2
Neil-M
Neil-M
11 October 2009
But the Apple install lacks additions like the GD library.
Like
Version 5.3.0-3
DPoncy
11 August 2007
I installed this package (OS 10.4.10 and Apache 1.3) and now Apache fails. How do you uninstall this?
Like
Version 5.2.1
1 answer(s)
MacUpdate-Lon
MacUpdate-Lon
11 August 2007
Perhaps you should post your question to the developer's user forum: http://www.entropy.ch/phpbb2/
Like
Version 5.2.1
Carla2
05 June 2007
Never said it, but have used your builds and tips for so long that it's way overdue: Thank you, Marc.
Like
Version 5.2.1
Dolphin55
10 March 2007
Hi, I got same error under the OSX server 10.4.8 when I try to upgrade from PHP5.0.1.
Like
Version 5.2.1
Brian Kendig
08 March 2007
Note that this package will ONLY work on Mac OS 10.4, NOT 10.3! I installed it on 10.3 and the installation failed at the end, and then the Apache server would not restart because it could no longer load the php shared library. I can't find any precompiled version of PHP 5.2 available for Mac OS 10.3.
Like
Version 5.2.1
4 answer(s)
MacUpdate-Lon
MacUpdate-Lon
08 March 2007
The stated requirements on the product page: Mac OS X 10.4 or later.
Like
Version 5.2.1
Brian Kendig
Brian Kendig
08 March 2007
I missed that because previous PHP 5 packages have installed on 10.3. This installer attempts to install on 10.3, but fails at the end. The developer's site states that "older, unmaintained, unsupported, ppc-only packages of PHP 5 are available for Mac OS X 10.3", but I can't find any linked from that site. So, user beware.
Like
Version 5.2.1
Brian Kendig
Brian Kendig
08 March 2007
Aha, the previous version is still available at: http://www2.entropy.ch/download/entropy-php-5.1.4-5.tar.gz
Like
Version 5.2.1
MacUpdate-Lon
MacUpdate-Lon
08 March 2007
Thanks, I will post that in the 'Related Links' section of the PHP product page here at MU... thanks again.
Like
Version 5.2.1
Zetsurin
19 December 2006
Big thanks to Marc for his excellent installers. I've found his Postgresql installer invaluable as well.
Like
Version 5.1.4-5
Corvus32
04 March 2006
Since this is a binary package, it comes with a MySQL Client API version that will most likely not match the version of MySQL Server you are currently using, or would like to use in the future. Ideally, your client and server should match for best reliability, so only use this package if you don't know how to compile PHP yourself. For example, the MySQL Client that comes with this package matches MySQL 4.1.14, so if you have MySQL 5.0.18 installed, then some functions may/will fail. It may not make much difference to the average user, but just know that it is best (and recommended by mysql.com) that your mysql client api is at least current with whatever server version you use.
Like
Version 5.1.2
Anonymous
28 September 2004
Marc's installer worked as advertised. It automatically installed php5 in an alternate directory, so it does not interfere with Darwin's preinstalled PHP version, nor prior installations of php 4.x. All the commonly used packages are supported. The only thing missing that I would like to see is a version that was precompiled for mmcache compatibility.
Like
Version 5.0.1
1 answer(s)
Anonymous
Anonymous
30 June 2005
Good morning. Installed it, can't find it afterwards. Where does it install to? Where is this "alternate directory?" Tried developers website, it's down. Thanks
Like
Version 5.0.4
Cb31
16 July 2004
Perhaps it would be helpful to clarify a few things about this package. This PHP package is NOT the 4.3.6 source code from php.net. It is Marc Liyanange's distribution of the PHP 4.3.6 module for the Apache web server for MacOS X. Depending on which version of OS X your server is running, and which version of Apache web server, you may want to stick with 4.3.4. Though it states 10.2 as a requirement, this distribution package was built for MacOS X 10.3. For other information, check the "More Infomation" link.
Like
Version 4.3.6
1 answer(s)
2MeetFreelancers
2MeetFreelancers
22 June 2005
2MeetFreelancers.com - Post your projects for FREE http://www.2meetfreelancers.com/ Find a php expert freelance programmer and designers at the prices you want to pay. Post your projects and programmers will place bids, you choose the price you want. Get programming done for your site in perl/cgi, php, java, asp, plus web design and so much more. buy, bid, sell
Like
Version 5.0.4
Anonymous
27 June 2004
I installed it fresh and it is good here.
Like
Version 4.3.6
Anonymous
28 April 2004
don't install PHP server over an older version, it breaks Apache wer server and Itools cannot help you.
Like
Version 4.3.6
Anonymous
28 April 2004
I installed this version on older version : FAILED apache web server is out !!!!!!!!!!!!!
Like
Version 4.3.6
Anonymous
13 November 2003
Is it just me or does 4.3.4 seem to have eaten a few too many snails since 4.3.2? (Umm yes, I do mean slower ;-)
Like
Version 4.3.4
Anonymous
12 September 2003
Anonymous, it is not available for OS9 because PHP relies on many Unix features which do not exist in OS9. PHP rocks!
Like
Version 4.3.3
Schmelding
18 May 2003
PHP 4, will you marry me?
Like
Version 4.3.1
Anonymous
27 September 2002
Hmm.. My upload script does not work here.. Any suggestions?
Like
Version 4.2.3
Anonymous
27 March 2002
is there one for OS9 ?
Like
Version 4.1.2